org.optaplanner.benchmark.impl

## Class SubSingleBenchmarkRunner<Solution_>

- java.lang.Object
- - org.optaplanner.benchmark.impl.SubSingleBenchmarkRunner<Solution_>

- All Implemented Interfaces:
    Callable<SubSingleBenchmarkRunner<Solution_>>

      public class SubSingleBenchmarkRunner<Solution_>
      extends Object
      implements Callable<SubSingleBenchmarkRunner<Solution_>>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.slf4j.Logger` | `logger`
    `static String` | `NAME_MDC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubSingleBenchmarkRunner(SubSingleBenchmarkResult subSingleBenchmarkResult, boolean warmUp)`
    `SubSingleBenchmarkRunner(SubSingleBenchmarkResult subSingleBenchmarkResult, boolean warmUp, SolverConfigContext solverConfigContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SubSingleBenchmarkRunner<Solution_>` | `call()`
    `Throwable` | `getFailureThrowable()`
    `String` | `getName()`
    `SubSingleBenchmarkResult` | `getSubSingleBenchmarkResult()`
    `void` | `setFailureThrowable(Throwable failureThrowable)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME_MDC

          public static final String NAME_MDC

      See Also:
        Constant Field Values

    - #### logger

          protected final transient org.slf4j.Logger logger

  - ### Constructor Detail

    - #### SubSingleBenchmarkRunner

          public SubSingleBenchmarkRunner(SubSingleBenchmarkResult subSingleBenchmarkResult,
                                          boolean warmUp)

      Parameters:
        `subSingleBenchmarkResult` - never null

    - #### SubSingleBenchmarkRunner

          public SubSingleBenchmarkRunner(SubSingleBenchmarkResult subSingleBenchmarkResult,
                                          boolean warmUp,
                                          SolverConfigContext solverConfigContext)

      Parameters:
        `subSingleBenchmarkResult` - never null
        `solverConfigContext` - never null

  - ### Method Detail

    - #### getSubSingleBenchmarkResult

          public SubSingleBenchmarkResult getSubSingleBenchmarkResult()

    - #### getFailureThrowable

          public Throwable getFailureThrowable()

    - #### setFailureThrowable

          public void setFailureThrowable(Throwable failureThrowable)

    - #### call

          public SubSingleBenchmarkRunner<Solution_> call()

      Specified by:
        `call` in interface `Callable<SubSingleBenchmarkRunner<Solution_>>`

    - #### getName

          public String getName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.